import { Mark } from './Mark';
import { BoxplotModel } from './BoxplotModel';
export declare class Boxplot extends Mark {
    render(): Promise<void>;
    set_ranges(): void;
    set_positional_scales(): void;
    create_listeners(): void;
    private updateStroke;
    private updateOutlierFillColor;
    private updateBoxFillColor;
    private updateOpacities;
    private getBoxWidth;
    compute_view_padding(): void;
    private updateBoxWidth;
    set_style_on_elements(style: any, indices: any): void;
    set_default_style(indices: any): void;
    clear_style(style_dict: any, indices: any): void;
    style_updated(new_style: any, indices: any): void;
    selected_style_updated(model: any, style: any): void;
    unselected_style_updated(model: any, style: any): void;
    private updateSelectedColors;
    selector_changed(point_selector: any, rect_selector: any): any[];
    invert_point(pixel: any): number;
    private prepareBoxPlots;
    process_click(interaction: string): void;
    private boxClickHandler;
    private resetSelection;
    private updateSelected;
    draw(): void;
    private drawMarkPaths;
    relayout(): void;
    draw_legend(elem: any, x_disp: any, y_disp: any, inter_x_disp: any, inter_y_disp: any): number[];
    private xPixels;
    private legendEl;
    private outlierData;
    private pixelCoords;
    private plotData;
    private rectDim;
    model: BoxplotModel;
}
